### A free/open-source library for quantitative finance

Public Types | Public Member Functions
DiscrepancyStatistics Class Reference

Statistic tool for sequences with discrepancy calculation. More...

`#include <ql/math/statistics/discrepancystatistics.hpp>`

Inheritance diagram for DiscrepancyStatistics:
[legend]

List of all members.

## Public Types

typedef SequenceStatistics::value_type | value_type

## Public Member Functions

| DiscrepancyStatistics (Size dimension)
template<class Sequence >
void | add (const Sequence &sample, Real weight=1.0)
template<class Iterator >
void | add (Iterator begin, Iterator end, Real weight=1.0)
void | reset (Size dimension=0)
1-dimensional inspectors
Real | discrepancy () const

## Detailed Description

Statistic tool for sequences with discrepancy calculation.

It inherit from SequenceStatistics<Statistics> and adds discrepancy calculation